################### SPRING CONFIGURATION ##########################
spring.application.name=Mediscreen-Patients
logging.level.org.springframework=ERROR
spring.profiles.active=test

################### APPLICATION CONFIGURATION ##########################
info.app.name=Mediscreen-Patients
info.app.author=Quentin DAUMAND

################### SERVER CONFIGURATION ##########################
server.port=9080

################### DATASOURCE CONFIGURATION ##########################
spring.datasource.initialization-mode=always
spring.datasource.schema=classpath:/script_test.sql
spring.datasource.continue-on-error=true

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost:3306/mediscreen_test
spring.datasource.max-wait=60000
spring.datasource.max-active=100
spring.datasource.username=root
spring.datasource.password=Pnvntinou1713!

# Hikari will use the following to setup connection pooling
spring.datasource.hikari.minimumIdle=5
spring.datasource.hikari.maximumPoolSize=20
spring.datasource.hikari.idleTimeout=30000
spring.datasource.hikari.poolName=SpringBootJPAHikariCP
spring.datasource.hikari.maxLifetime=2000000
spring.datasource.hikari.connectionTimeout=30000

################### JPA-HIBERNATE CONFIGURATION ##########################
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.dialect =org.hibernate.dialect.MySQL8Dialect

################### ACTUATOR CONFIGURATION ##########################
management.endpoints.web.exposure.include=health,metrics,info,trace,httptrace
management.endpoint.health.show-details=always
management.trace.http.enabled= true
management.trace.http.include=PRINCIPAL
management.server.port=9085